Types.StorageManagerDetails (The Data transfer common objects 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.datatransfer.common.agent

## Class Types.StorageManagerDetails

- java.lang.Object
- - org.gcube.datatransfer.common.agent.Types.StorageManagerDetails

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    Types

      public static class Types.StorageManagerDetails
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Types.storageAccessType` | `accessType`
    `String` | `Owner`
    `String` | `serviceClass`
    `String` | `serviceName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Types.StorageManagerDetails()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Types.storageAccessType` | `getAccessType()`
    `String` | `getOwner()`
    `String` | `getServiceClass()`
    `String` | `getServiceName()`
    `void` | `setAccessType(Types.storageAccessType accessType)`
    `void` | `setOwner(String owner)`
    `void` | `setServiceClass(String serviceClass)`
    `void` | `setServiceName(String serviceName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serviceClass

          public String serviceClass

    - #### serviceName

          public String serviceName

    - #### Owner

          public String Owner

    - #### accessType

          public Types.storageAccessType accessType

  - ### Constructor Detail

    - #### Types.StorageManagerDetails

          public Types.StorageManagerDetails()

  - ### Method Detail

    - #### getServiceClass

          public String getServiceClass()

    - #### setServiceClass

          public void setServiceClass(String serviceClass)

    - #### getServiceName

          public String getServiceName()

    - #### setServiceName

          public void setServiceName(String serviceName)

    - #### getOwner

          public String getOwner()

    - #### setOwner

          public void setOwner(String owner)

    - #### getAccessType

          public Types.storageAccessType getAccessType()

    - #### setAccessType

          public void setAccessType(Types.storageAccessType accessType)

Copyright © 2015. All Rights Reserved.